// pages/friendCircle/friendCircle.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    usercenterUrl: app.usercenterUrl,
    socialUrl: app.socialUrl,
    momentsList: [],
    currentPage: 1,
    rows: 20
  },
  doGetMomentsList: function(page) {
    var self = this;
    app.dialog.loading('正在加载');
    app.restAjax.get(app.restAjax.path('{socialUrl}/app/moments/listpagemomentsofpublicrelease', [self.data.socialUrl]), {
      page: page,
      rows: self.data.rows
    }, null, function(code, data) {
      if(data.rows.length == 0) {
        app.dialog.msg('暂无数据');
        return;
      }
      for(var i = 0, item; item = data.rows[i++];) {
        if(item.type === 'photo') {
          var photos = item.photos.split(',');
          var photoArray = [];
          for(var j = 0, jItem; jItem = photos[j++];) {
            if(jItem.length != 0) {
              photoArray.push(jItem);
            }
          }
          item.photoArray = photoArray;
        }
      }
      var momentsArray;
      if(page <= 1) {
        momentsArray = data.rows;
      } else {
        momentsArray = self.data.news.newsList;
        momentsArray = momentsArray.concat(data.rows);
      }
      self.setData({
        currentPage: page,
        momentsList: momentsArray
      })
    }, function(code, data) {
      app.dialog.msg(data.msg);
    }, function() {
      wx.stopPullDownRefresh();
      wx.hideLoading();
    });
  },
  // newFriendCircle: function () {
  //   wx.navigateTo({
  //     url: '../newFriendCircle/newFriendCircle',
  //   })
  // },
  toMyFriendCircle: function () {
    wx.navigateTo({
      url: '../myFriendCircle/myFriendCircle',
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.doGetMomentsList(1);
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.doGetMomentsList(1);
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    this.doGetMomentsList(this.data.currentPage + 1);
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})